<template>

    <div class="layout">
        <!-- begin:: Page -->
        <div class="m-grid m-grid--hor m-grid--root m-page">

            <!--[html-partial:include:{"file":"partials\/_header-base.html"}]/-->
            <HeaderBase></HeaderBase>

            <!-- begin::Body -->
            <div class="m-grid__item m-grid__item--fluid m-grid m-grid--ver-desktop m-grid--desktop m-body">
                <AsideLeft></AsideLeft>
                <!--[html-partial:include:{"file":"partials\/_aside-left.html"}]/-->

                <div class="m-grid__item m-grid__item--fluid m-wrapper">
                    <SubheaderDefault></SubheaderDefault>
                <!--[html-partial:include:{"file":"partials\/_subheader-default.html"}]/-->

                    <div class="m-content">
                        <div v-if="this.$route.name != 'DashboardComponenet'" class="m-alert m-alert--icon m-alert--air m-alert--square alert alert-dismissible m--margin-bottom-30" role="alert">
                            <div class="m-alert__icon">
                                <i class="flaticon-exclamation m--font-brand"></i>
                            </div>
                            <div class="m-alert__text">
                                <!-- {{this.$route.meta.description}} --> توضیحات هرصفحه در اینجا
                            </div>
                        </div>
                        <div class="m-portlet m-portlet--mobile">
                            <div class="m-portlet__head">
                                <div class="m-portlet__head-caption">
                                    <div class="m-portlet__head-title">
                                        <h3 class="m-portlet__head-text">
                                            {{this.$route.meta.title}}
                                        </h3>
                                    </div>
                                </div>
                                <HeadTools></HeadTools>
                            </div>
                            <div class="m-portlet__body">
                                <router-view></router-view>
                                <!-- set progressbar -->
                                <vue-progress-bar></vue-progress-bar>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end:: Body -->

            <!--[html-partial:include:{"file":"partials\/_footer-default.html"}]/-->
            <FooterDefault></FooterDefault>

        </div>
        <!-- end:: Page -->

        <!--[html-partial:include:{"file":"partials\/_layout-quick-sidebar.html"}]/-->



        <!--[html-partial:include:{"file":"partials\/_layout-scroll-top.html"}]/-->



        <!--[html-partial:include:{"file":"partials\/_layout-tooltips.html"}]/-->

    </div>
</template>
<script>
    import HeaderBase from './partials/header_base.vue';
    import AsideLeft from './partials/_aside-left.vue';
    import SubheaderDefault from './partials/_subheader-default.vue';
    import FooterDefault from './partials/_footer-default.vue';
    import HeadTools from '../table_component/HeadTools.vue';


    export default {
        name: 'Layout',
        components: {
            HeaderBase,
            AsideLeft,
            SubheaderDefault,
            FooterDefault,
            HeadTools

        },
    }
</script>
